| NANO100_BSP V3.05.000 The Board Support Package for Nano100BN Series

Macros | Functions | Variables
system_Nano100Series.h File Reference

Nano100 series system clock definition file. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | __HXT (12000000UL)
#define | __LXT (32768UL)
#define | __HIRC12M (12000000UL)
#define | __LIRC (10000UL)
#define | __HIRC __HIRC12M
#define | __HSI (__HIRC12M) /* Factory Default is internal 12MHz */

## Functions
void | SystemCoreClockUpdate (void)
| Updates the SystemCoreClock with current core Clock retrieved from CPU registers. More...
uint32_t | SysGet_PLLClockFreq (void)
| Calculate current PLL clock frequency. More...

## Variables
uint32_t | SystemCoreClock
uint32_t | CyclesPerUs

## Detailed Description

Nano100 series system clock definition file.

Version
  V1.00

Revision
  2

Date
  14/01/07 7:35p

Note
  SPDX-License-Identifier: Apache-2.0 Copyright (C) 2014 Nuvoton Technology Corp. All rights reserved.

Definition in file system_Nano100Series.h.

## Macro Definition Documentation

## ◆ __HIRC

#define __HIRC __HIRC12M

Definition at line 30 of file system_Nano100Series.h.

## ◆ __HIRC12M

#define __HIRC12M (12000000UL)

Definition at line 28 of file system_Nano100Series.h.

## ◆ __HSI

#define __HSI (__HIRC12M) /* Factory Default is internal 12MHz */

Definition at line 31 of file system_Nano100Series.h.

## ◆ __HXT

#define __HXT (12000000UL)

Definition at line 26 of file system_Nano100Series.h.

## ◆ __LIRC

#define __LIRC (10000UL)

Definition at line 29 of file system_Nano100Series.h.

## ◆ __LXT

#define __LXT (32768UL)

Definition at line 27 of file system_Nano100Series.h.

## Function Documentation

## ◆ SysGet_PLLClockFreq()

uint32_t SysGet_PLLClockFreq | ( | void |  | ) |

Calculate current PLL clock frequency.

Parameters

  None. |

Returns
  PLL clock frequency. The clock UNIT is in Hz.

Definition at line 28 of file system_Nano100Series.c.

Here is the caller graph for this function:

## ◆ SystemCoreClockUpdate()

void SystemCoreClockUpdate | ( | void |  | ) |

Updates the SystemCoreClock with current core Clock retrieved from CPU registers.

Update SystemCoreClock variable

Parameters

  None |

Returns
  None

Updates the SystemCoreClock with current core Clock retrieved from CPU registers.

Parameters

  None. |

Return values

  None. |

Definition at line 106 of file system_Nano100Series.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## Variable Documentation

## ◆ CyclesPerUs

uint32_t CyclesPerUs
| extern

Cycles per micro second

Definition at line 21 of file system_Nano100Series.c.

## ◆ SystemCoreClock

uint32_t SystemCoreClock
| extern

System Clock Frequency (Core Clock)

Definition at line 20 of file system_Nano100Series.c.